eoEPReduce(3)

NAME
eoEPReduce - EP truncation method (some global stochastic tournament + sort) Softer selective pressure than pure truncate.

SYNOPSIS

#include <eoReduce.h>

Inherits eoReduce< EOT >< EOT >.

  Public Types
typedef EOT::Fitness Fitness
typedef std::pair< float, typename eoPop< EOT >::iterator > EPpair
helper struct for comparing on std::pairs

  Public Member Functions
eoEPReduce (unsigned _t_size)
void operator() (eoPop< EOT > &_newgen, unsigned _newsize)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
unsigned t_size

Detailed Description

  template<class EOT> class eoEPReduce< EOT >
EP truncation method (some global stochastic tournament + sort) Softer selective pressure than pure truncate.

Definition at line 83 of file eoReduce.h.

Author

Generated automatically by Doxygen for EO from the source code.